=== debian/changelog ===
oem-config (1.37.2netbook13dennis2) dennis; urgency=low

  * Clean out a bunch of spurious files that were inadvertently
    added to this package as part of an update a few revisions 
    back (LP: 405477).

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 27 Jul 2009 16:21:23 -0400

oem-config (1.37.2netbook13dennis1) dennis; urgency=low

  * debian/changelog:
    - Bump version number per new version in netbook-common.
      No functional changes required as the change from
      1.37.2netbook12 to 1.37.2netbook13 has already been
      incorporated in the dennis version (refer to changelog
      entry for 1.37.2netbook12dennis15).

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 06 Apr 2009 17:07:51 -0400

oem-config (1.37.2netbook12dennis38) dennis; urgency=low

  * pixmaps/compaq-logo.png:
    - Replace logo with correct grey-color image.

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 01 Apr 2009 14:11:17 -0400

oem-config (1.37.2netbook12dennis37) dennis; urgency=low

  * debian/patches/dennis_ui.patch:
    - Minor tweak to the set-brand script.

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 31 Mar 2009 17:39:32 -0400

oem-config (1.37.2netbook12dennis36) dennis; urgency=low

  * debian/patches/dennis_ui.patch:
    - Add branding support.  Add script (set-brand) to grab
      branding info from the DMI table and write it to file
      /etc/brand.  Based on the brand, select the corresponding
      logo for display in the setup screens (LP: 348664).
  * pixmaps/compaq-logo.png:
    - Add new logo file for Compaq-branded systems.

 -- Gary Lasker <gary.lasker@canonical.com>  Sun, 29 Mar 2009 22:15:23 -0400

oem-config (1.37.2netbook12dennis35) dennis; urgency=low

  * keyboard-selection-translation.patch: debian/*po for de, es, fr, it, ja, ko
    ru, zh_CN, zh_TW
    - added translations for Keyboard in header, final fix (since 33): LP#342486

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 23 Mar 2009 17:08:54 -0400

oem-config (1.37.2netbook12dennis34) dennis; urgency=low

  * keyboard-selection-translation.patch:
    - gui/glade/oem-config.glade: set pipe symbol to right of "Username" to
      visible

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 23 Mar 2009 16:24:35 -0400

oem-config (1.37.2netbook12dennis33) dennis; urgency=low

  * keyboard-selection-translation.patch: 
    - debian/oem-config.templates: added three strings needed to translate 
      keyboard layouts page
    - debian/po/*: updated po files to pick up new translations of same
    - gui/glade/oem-config.glade: added crumb_keyboard (TODO: translate)
    - lib/components/keyboard.py: added, with appropriate questions
    - lib/frontend/gtk_ui.py: imported keyboard, instantiated that as 
      self.dbfilter, and added crumb_keyboard to self.language_questions

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 19 Mar 2009 12:31:18 -0400

oem-config (1.37.2netbook12dennis32) dennis; urgency=low

  * netbook-to-Mini.patch: debian/po/es.po: changed "Bienvenido!" to "¡Bienvenido!"
    Fixes LP#330600

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 16:32:38 -0400

oem-config (1.37.2netbook12dennis31) dennis; urgency=low

  * netbook-to-Mini.patch: debian/po/es.po: changed "Welcome!" to "Bienvenido!"

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 15:15:01 -0400

oem-config (1.37.2netbook12dennis30) dennis; urgency=low

   * netbook-to-Mini.patch: change "netbook" to "Mini"
     - en.po added this po with this trans change
     - es.po: changed trans
     - other target langs (de, fr, it, ja, ko, ru, zh_CN, zh_TW) need translator
       analysis and will be done post beta &  pre rc
 
 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 14:31:23 -0400

oem-config (1.37.2netbook12dennis29) dennis; urgency=low

  * city_trans.patch:
    make_locale_data_models: building of language specific data models failed
    to retreive city translation when the key was in the form region/city 
    because the translation domain (oem-translations) only uses the city as 
    the msgid. So, I modified this script to search for "/" and if found only 
    use the string to the right, namely the city. Fixes LP#306502.
  * location_combo_translated.patch:
    lib/zoommap.py: 
    - same "/" work as above
    - use gettext python api to look up city trans instead of command line
      gettext, which occasionally yielded garbage chars 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 16 Mar 2009 12:25:23 -0400

oem-config (1.37.2netbook12dennis28) dennis; urgency=low

  * add-keyboard-selection-ui.patch:
    - lib/frontend/gtk_ui.py: restore step_keyboard page into "breadcrumb" trail
  * debian/po: restore (via uncommenting) strings for keyboard selector from 
    target language po files 
  * keybaord_layouts.patch: remove. hard coding from lanugage approach obsolete

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 09 Mar 2009 16:46:28 -0400
