## oem-config 1.37.2netbook13natick2

=== debian/changelog ===
oem-config (1.37.2netbook13natick2) natick; urgency=low

  * debian/patches/no-lang-scroll-resizing.patch:
    - Setting vertical scrollbar to automatic also.  LP #358464

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Fri, 24 Apr 2009 14:24:23 -0300
