## oem-config 1.37.2netbook13payson2

=== debian/changelog ===
oem-config (1.37.2netbook13payson2) payson; urgency=low

  * added debian/patches/toshiba-wallpaper.patch to get rid of Heron
    background on initial boot. 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 18 Mar 2009 15:59:54 -0400

oem-config (1.37.2netbook13payson1) payson; urgency=low

  * re-apply debian/patches/toshiba-hostname.patch and comment
    out hostname.patch 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 24 Feb 2009 15:50:27 -0500
