=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,8 @@
 	done
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
-
+	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config
+	
 	dh_installdebconf -a
 	echo >> debian/oem-config/DEBIAN/templates
 	po2debconf --podir=debian/imported-po \
