## oem-config 1.53

=== debian/changelog ===
oem-config (1.53) intrepid; urgency=low

  * KDE frontend:
    - Hardcode command line (including setting the Oxygen style) rather than
      passing sys.argv to KCmdLineArgs, which will include options that KDE
      doesn't understand (LP: #218144).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Oct 2008 13:53:28 +0100

oem-config (1.52) intrepid; urgency=low

  [ Colin Watson ]
  * Reset debian-installer/country if the language is changed, as otherwise
    we can end up defaulting to an inappropriate country for the language.
  * Stop defaulting to the timezone from /etc/timezone or /etc/localtime, as
    this has a nasty habit of overriding the usual defaults for countries
    with multiple timezone choices (LP: #283861).
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.20ubuntu10.

  [ Evan Dandrea ]
  * Pull timezone map changes from ubiquity:
    - Iterate through a list of nearby timezones on click, rather than
      selecting the absolute closest timezone to the pointer.
    - Stop scrolling the timezone map once the mouse is outside its
      boundaries (LP: #251231).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 19:45:48 +0100

oem-config (1.51) intrepid; urgency=low

  * Log messages from update-rc.d rather than throwing them away.
  * Fix intltool handling; po/Makefile.in.in was still coming from gettext.
    Pass no-xml to IT_PROG_INTLTOOL so that we don't need to build-depend on
    libxml-parser-perl.
  * Add a comment to /etc/init.d/oem-config to explain the purpose of the
    oem-config-firstboot check.
  * Disable window minimise buttons when running in standalone mode at first
    boot (LP: #249045).
  * Run oem-config in debugging mode if 'debug-oem-config' is set on the
    kernel command line.
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.20ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Oct 2008 21:25:16 +0100

oem-config (1.50) intrepid; urgency=low

  * Change "Automatically sign in" to "Log in automatically", to match
    wording elsewhere (LP: #266995).
  * Automatic update of included source packages: localechooser 2.03ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 12:33:39 +0100

oem-config (1.49) intrepid; urgency=low

  [ Jonathan Riddell ]
  * In oem-config-prepare fix option between kdesu and kdesudo

  [ Colin Watson ]
  * Update check for python-codegen-2.0 to instead use
    pygobject-codegen-2.0. The former disappeared as of pygtk
    2.13.0-0ubuntu1 in favor of this. (From the same change in ubiquity by
    Mario Limonciello.)
  * Build-depend on python-gobject-dev (>= 2.15.1) for
    pygobject-codegen-2.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Sep 2008 19:16:43 +0100

oem-config (1.48) intrepid; urgency=low

  * Update oem-config-dm for KDE 4
  * Update kde_ui for intrepid wallpaper
  * Change kde_ui into a KApplication, so it picks up the KDE widget style
  * Fix i18n in kde_ui
  * Use kdesu not kdesudo by default, kdesudo seems unreliable
  * Set icons not text on next button, we have no i18n'ed text
  * Automatic update of included source packages: console-setup
    1.25ubuntu3, user-setup 1.20ubuntu6.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Sep 2008 12:59:23 +0100

oem-config (1.47) intrepid; urgency=low

  * Add a vile hack to avoid clashing with kernel-helper over the debconf
    database lock. Filed LP #261543 to document that we need to do something
    better.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Aug 2008 18:35:39 +0100

oem-config (1.46) intrepid; urgency=low

  * Suppress user-setup's encrypted private directory question in OEM mode.
  * Move oem-config init script link from 12 to 29 so that it starts after
    hal.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Aug 2008 14:21:05 +0100

oem-config (1.45) intrepid; urgency=low

  [ Colin Watson ]
  * Restore lost change from 1.38:
    - Don't fail to set the locale if the mirror/country question doesn't
      exist.
  * Add oem to /usr/lib/oem-config/user/reserved-usernames (see LP #251056).
  * Add sensible --version output and output our version to oem-config.log.
  * Automatic update of included source packages: localechooser 2.03ubuntu2,
    user-setup 1.20ubuntu4.

  [ Michael Terry ]
  * Set LANG in /etc/default/locale even if it isn't there already
    (LP: #249550).
  * Ensure that some widget is focused after changing page (LP: #241367).
  * Add an auto-login option, currently GTK-only (LP: #241372).

  [ Evan Dandrea ]
  * Do not try to set localechooser/alreadyrun.  It is no longer used.
  * Also remove the langlevel file if it exists before we start
    localechooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Aug 2008 13:00:18 +0100

oem-config (1.44) intrepid; urgency=low

  * Create /var/lib/localechooser directory, otherwise localechooser
    completely breaks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2008 20:11:02 +0100

oem-config (1.43) intrepid; urgency=low

  [ Colin Watson ]
  * Adjust Brazilian and Japanese keyboard models when applying the keyboard
    layout on the fly (LP: #217140).
  * Remove po/.intltool-merge-cache and po/stamp-po on clean.
  * Update the FSF's address in a few more places.
  * Use kdesudo for the KDE frontend where available.
  * Upgrade to current autotools in Intrepid, including libtool 2.2.
  * Automatic update of included source packages: console-setup 1.25ubuntu2,
    localechooser 2.03ubuntu1, user-setup 1.20ubuntu3.

  [ Jonathan Riddell ]
  * Update KDM config file for KDE 4 and remove kpersonaliser references

  [ Evan Dandrea ]
  * Update the language component to reflect changes to localechooser.
  * Use OVERRIDE_SHOW_ALL_LANGUAGES in the localechooser wrapper
    (LP: #249795).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2008 19:33:13 +0100


