=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #! /usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
@@ -16,6 +14,11 @@
 PYTHON := $(shell pyversions -r)
 
 console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))
+
+ifeq (,$(strip $(foreach dir,$(subst :, ,$(PATH)),$(wildcard $(dir)/pygobject-codegen-2.0))))
+$(warning pygobject-codegen-2.0 missing; disabling GTK frontend)
+export OEM_CONFIG_NO_GTK := 1
+endif
 
 update:
 	$(MAKE) -C d-i update
@@ -33,14 +36,15 @@
 Makefile:
 	PYTHON=$(PYTHON) ./configure --prefix=/usr
 
-build: $(QUILT_STAMPFN) Makefile lib/keyboard_names.py
+build: Makefile lib/keyboard_names.py
 	$(MAKE)
 	$(MAKE) -C d-i build
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
+	rm -f po/.intltool-merge-cache po/stamp-po
 	$(MAKE) -C d-i clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
@@ -62,12 +66,14 @@
 		pyexecdir=\$${prefix}/lib/oem-config \
 		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
 		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
+	rm -f debian/oem-config-gtk/usr/share/oem-config/desktop/oem-config-prepare-kde.desktop
 	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
 endif
 	$(MAKE) -C d-i install
 	dh_install -a
 
 	# Bits of manual installation that can't be done by dh_install
+	sed -i 's/@VERSION@/$(VERSION)/g' debian/oem-config/usr/sbin/oem-config
 	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
 	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
 		d-i/source/console-setup/debian/console-setup.postinst \
@@ -84,10 +90,15 @@
 			> debian/oem-config/usr/lib/oem-config/user/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
 	done
+	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
+	set -e; for x in languagemap localechooser; do \
+		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
+			d-i/source/localechooser/$$x \
+			> debian/oem-config/usr/lib/oem-config/language/$$x; \
+		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
+	done
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
-	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config
-	
 	dh_installdebconf -a
 	echo >> debian/oem-config/DEBIAN/templates
 	po2debconf --podir=debian/imported-po \
