## oem-config 1.54.13

=== debian/changelog ===
oem-config (1.54.13) jaunty; urgency=low

  [ Roman Shtylman ]
  * Updated the timezone map from ubiquity (LP: #360652), including copying
    CairoExtensions from ubiquity/segmented_bar.py.
  * Moved common artwork files from oem-config-gtk/oem-config-kde to
    oem-config.

  [ Colin Watson ]
  * Preseed tzsetup/selected up-front rather than filtering it and then
    preseeding it; filtering it causes the backup state to be reset, which
    causes an infinite loop when backing up from the timezone page when the
    default country only has one timezone (LP: #361674).
  * Preseed passwd/auto-login-backup=oem in the udeb, so that the original
    configuration files are available for restoration (LP: #361272).
  * Automatic update of included source packages: user-setup 1.23ubuntu20.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Apr 2009 15:41:12 +0100

oem-config (1.54.12) jaunty; urgency=low

  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).
  * Work around a debconf bug which broke the default time zone for some
    countries: REGISTER does not appear to give a newly-registered question
    the same default as the question associated with its template, unless we
    also RESET it, so do that (LP: #356794).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.28ubuntu8,
    user-setup 1.23ubuntu18.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 10:03:54 +0100

oem-config (1.54.11) jaunty; urgency=low

  * GTK frontend:
    - Use the full size of the underlying images for the timezone map if the
      screen is big enough.
    - Fix spacing on timezone page (LP: #336745).
  * Don't pass the debconf PURGE command through debconffilter, since we
    don't know the owner of the package calling it (see LP #354534).
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.23ubuntu16.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Apr 2009 21:36:39 +0100

oem-config (1.54.10) jaunty; urgency=low

  [ Colin Watson ]
  * Tighten frontend dependencies on oem-config to prevent problems when one
    architecture is out of sync.
  * Set passwd/auto-login=true rather than implementing auto-login ourselves
    (LP: #347900).
  * Suggest checkbox/checkbox-gtk rather than recommending
    hwtest/hwtest-gtk.
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.28ubuntu7,
    user-setup 1.23ubuntu15.

  [ Evan Dandrea ]
  * Update the timezone_map to match changes in ubiquity (more accurate
    city placement).
  * Merge in the new KDE time zone map from ubiquity.  Thanks Roman
    Shtylman.

  [ Mario Limonciello ]
  * Change the number of columns in the language icon view to 5.  This 
    should make it fit in 1024x600. (LP: #347350)
  * Remove old hack in gtk frontend to only show scrollbars on language 
    selector when it would be larger than the desktop.  With the hack taken 
    out, the scrollbars aren't showing up on 800x576, which is likely the 
    lowest supportable resolution.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Mar 2009 16:31:14 +0100

oem-config (1.54.9) jaunty; urgency=low

  [ Evan Dandrea ]
  * Add missing errno import.
  * Merge in the new timezone widget from ubiquity (LP: #335557).
  * Fix 'resize if too big for screen' logic (LP: #341758).  Thanks Michael
    Terry!

  [ Colin Watson ]
  * GTK frontend:
    - Full-screen the window when --only is used - i.e. more or less always,
      except for testing. The extra screen real estate makes the timezone
      map, among other widgets, easier to use. (Ported from Evan Dandrea's
      similar change to Ubiquity; the KDE frontend needed no change as in
      oem-config it's always full-screen.)
    - Use stock preferences-system icon (thanks, Michael Terry;
      LP: #341770).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Mar 2009 01:22:18 +0000

oem-config (1.54.8) jaunty; urgency=low

  * debconf frontend:
    - Fix typo: "oem-config/text/task_heading_label" should have been
      "oem-config/text/tasks_heading_label".
    - Explicitly stop our debconf frontend just before exiting, to avoid
      leaving a zombie if tasksel installs some package that starts a daemon
      that doesn't disconnect from fd 3.
  * Remove obsolete local copy of DebconfCommunicator. We just rely on a new
    enough debconf now.
  * Automatic update of included source packages: console-setup 1.28ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 18:26:26 +0000

oem-config (1.54.7) jaunty; urgency=low

  [ Evan Dandrea ]
  * Give the proper return value in the user component's run function
    (LP: #334281).

  [ Colin Watson ]
  * Automatic update of included source packages: localechooser 2.09ubuntu2,
    user-setup 1.23ubuntu14.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Mar 2009 11:50:24 +0000

oem-config (1.54.6) jaunty; urgency=low

  * Only call setxkbmap if DISPLAY is set.
  * Don't show the "Who are you?" page just because the auto-login question
    is asked and not preseeded (LP: #328281).
  * Handle user-setup's new weak password detection.
  * Add forgotten oem-config/text/network_heading_label template.
  * Add a "tasks" component (only usable in the debconf frontend at the
    moment) that runs tasksel.
  * Check whether /usr/lib/network-manager/ifblacklist_migrate.sh exists
    before running it.
  * Fix copying of debian-installer/framebuffer to /target in
    oem-config-udeb: debconf-dumpdb returns "(null)" as the value if the
    question has never been set.
  * Automatic update of included source packages: user-setup 1.23ubuntu12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Feb 2009 23:38:31 +0000

oem-config (1.54.5) jaunty; urgency=low

  * Move most debconf-communicator handling into BaseFrontend, to make it

