=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #! /usr/bin/make -f
 
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+EXPECTED_AC_VERSION := $(shell echo "$(VERSION)" | cut -d. -f1,2)
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
 			sed 's/[][,]//g')
 MANGLED_VERSION := $(subst ~,-,$(VERSION))
 
-ifneq ($(VERSION),$(AC_VERSION))
+ifneq ($(EXPECTED_AC_VERSION),$(AC_VERSION))
 $(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
 endif
 
@@ -83,6 +84,9 @@
 		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
 		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
 	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
+	sed -i -e 's,db_input medium tzsetup/selected,db_input high tzsetup/selected,' \
+	       -e 's,/usr/share/tzsetup/tzmap,/usr/lib/oem-config/timezone/tzmap,g' \
+		debian/oem-config/usr/lib/oem-config/timezone/tzsetup
 	for x in user-setup user-setup-ask user-setup-apply; do \
 		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
 		    -e 's,/bin/sh,/bin/bash,g' \
@@ -90,6 +94,8 @@
 			> debian/oem-config/usr/lib/oem-config/user/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
 	done
+	sed -i -e 's,db_input high user-setup/encrypt-home,db_input medium user-setup/encrypt-home,' \
+		debian/oem-config/usr/lib/oem-config/user/user-setup-ask
 	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
 	set -e; for x in languagemap localechooser; do \
 		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
@@ -97,6 +103,8 @@
 			> debian/oem-config/usr/lib/oem-config/language/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
 	done
+	sed -i 's/\\\$${!TAB}/ /g' \
+		debian/oem-config/usr/lib/oem-config/language/localechooser
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
 	dh_installdebconf -a
@@ -109,7 +117,6 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_installinit -a -n
-	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
@@ -129,7 +136,6 @@
 	dh_installdebconf -i
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_pycentral -i
